<mat-drawer-container class="drawer-container">
    <mat-drawer #drawer class="sidenav" mode="side" opened>
        <ul class="list navigation">

            <button mat-flat-button color="primary" class="item main-action" [matMenuTriggerFor]="globalCreateMenu"
                matTooltip="Create" matTooltipPosition="after">
                <div class="wrapper">
                    <div class="flexRow">
                        <mat-icon matListIcon class="icon" style="height: 34px; width: 34px;">
                            <i class="material-icons material-icons-outlined" style="font-size: 34px;">
                                manage_accounts
                            </i>
                        </mat-icon>
                    </div>
                </div>
            </button>

            <li>
                <a class="item" matRipple [matTooltip]="'Dashboard'" matTooltipPosition="after"
                    [routerLink]="'/dashboard'" routerLinkActive="active"
                    [routerLinkActiveOptions]="{ exact: '/dashboard' }">
                    <div class="wrapper">
                        <div class="flexRow">
                            <mat-icon matListIcon class="icon">
                                <i class="material-icons">
                                    speed
                                </i>
                            </mat-icon>

                        </div>
                    </div>
                </a>
            </li>

            <mat-menu #globalCreateMenu="matMenu" xPosition="before" class="profileMenu">
                <button type="button" class="text-center" mat-menu-item routerLink="/profile">
                    <mat-icon>edit</mat-icon>
                    Edit profile
                </button>
            </mat-menu>
        </ul>
    </mat-drawer>
    <mat-drawer-content class="sidenav-container">
        <div *ngIf="!drawer.opened" class="drawerShower" (click)="drawer.open()">
            <div style="margin: auto; height: fit-content;">
                <mat-icon>double_arrow</mat-icon>
            </div>
        </div>
        <router-outlet></router-outlet>
    </mat-drawer-content>
</mat-drawer-container>